Summary: The Netwide Assembler, a portable x86 assembler with Intel-like syntax
Name: nasm
Version: 0.98
Release: 5
License: GPL
Group: Development/Languages
Source: ftp://ftp.us.kernel.org/pub/software/devel/nasm/source/nasm-%{version}.tar.gz
URL: http://www.cryogen.com/Nasm/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: /sbin/install-info

%package doc
Summary: Extensive documentation for NASM
Group: Development/Languages

%package rdoff
Summary: Tools for the RDOFF binary format, sometimes used with NASM.
Group: Development/Tools

%description
NASM is the Netwide Assembler, a free portable assembler for the Intel
80x86 microprocessor series, using primarily the traditional Intel
instruction mnemonics and syntax.

%description doc
Extensive documentation for the Netwide Assembler, NASM, in HTML,
info, PostScript and text formats.

%description rdoff
Tools for the operating-system independent RDOFF binary format, which
is sometimes used with the Netwide Assembler (NASM).  These tools
include linker, library manager, loader, and information dump.

%prep
%setup

%build

%configure
make everything

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/%{_infodir}
mkdir -p $RPM_BUILD_ROOT/usr/tempdoc

%makeinstall install_everything docdir=$RPM_BUILD_ROOT/usr/tempdoc

gzip -9f $RPM_BUILD_ROOT/%{_infodir}/nasm.* 
cp -a $RPM_BUILD_ROOT/usr/tempdoc/html $RPM_BUILD_ROOT/usr/tempdoc/nasmdoc.{ps,txt} .
gzip -9f nasmdoc.{ps,txt}

%clean
rm -rf "$RPM_BUILD_ROOT"

%post 
/sbin/install-info %{_infodir}/nasm.info.gz  %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/nasm.info.gz %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc COPYING Changes Licence MODIFIED Readme Wishlist
/usr/bin/nasm
/usr/bin/ndisasm
%{_mandir}/*/*
%{_infodir}/nasm.info*.gz

%files doc
%defattr(-,root,root)
%doc html nasmdoc.txt.gz nasmdoc.ps.gz

%files rdoff
%defattr(-,root,root)
/usr/bin/ldrdf
/usr/bin/rdf2bin
/usr/bin/rdf2com
/usr/bin/rdfdump
/usr/bin/rdflib
/usr/bin/rdx

%changelog
* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 13 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rewrote almost everything. The old specfile was bad, bad, bad.
  Really Bad.  
 
* Tue Apr 04 2000 Erik Troan <ewt@redhat.com>
- moved to distribution (syslinux needs it)
- gzipped man pages

* Thu Dec 02 1999 Preston Brown <pbrown@redhat.com>
- adopted from one of the best .spec files I have seen in a long time. :)
